org.keycloak.common.util

## Class ServerCookie

- java.lang.Object
- - org.keycloak.common.util.ServerCookie

- All Implemented Interfaces:
    Serializable

      public class ServerCookie
      extends Object
      implements Serializable

  Server-side cookie representation. borrowed from Tomcat.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerCookie.SameSiteAttributeValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeZone` | `GMT_ZONE` GMT timezone - all HTTP dates are on GMT

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerCookie()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `alreadyQuoted(String value)`
    `static void` | `appendCookieValue(StringBuffer headerBuf, int version, String name, String value, String path, String domain, String comment, int maxAge, boolean isSecure, boolean httpOnly, ServerCookie.SameSiteAttributeValue sameSite)`
    `static boolean` | `checkName(String name)` Deprecated. - Not used
    `static boolean` | `containsCTL(String value, int version)`
    `static String` | `formatOldCookie(Date d)`
    `static void` | `formatOldCookie(Date d, StringBuffer sb, FieldPosition fp)`
    `static String` | `getCookieHeaderName(int version)` Return the header name to set the cookie, based on cookie version.
    `static boolean` | `isToken(String value)`
    `static boolean` | `isToken2(String value)`
    `static void` | `maybeQuote(int version, StringBuffer buf, String value)` Deprecated. - Not used
    `static void` | `maybeQuote2(int version, StringBuffer buf, String value)` Quotes values using rules that vary depending on Cookie version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GMT_ZONE

          public static final TimeZone GMT_ZONE

      GMT timezone - all HTTP dates are on GMT

  - ### Constructor Detail

    - #### ServerCookie

          public ServerCookie()

  - ### Method Detail

    - #### isToken

          public static boolean isToken(String value)

    - #### containsCTL

          public static boolean containsCTL(String value,
                                            int version)

    - #### isToken2

          public static boolean isToken2(String value)

    - #### checkName

          public static boolean checkName(String name)

      Deprecated. - Not used

    - #### getCookieHeaderName

          public static String getCookieHeaderName(int version)

      Return the header name to set the cookie, based on cookie version.

    - #### formatOldCookie

          public static String formatOldCookie(Date d)

    - #### formatOldCookie

          public static void formatOldCookie(Date d,
                                             StringBuffer sb,
                                             FieldPosition fp)

    - #### appendCookieValue

          public static void appendCookieValue(StringBuffer headerBuf,
                                               int version,
                                               String name,
                                               String value,
                                               String path,
                                               String domain,
                                               String comment,
                                               int maxAge,
                                               boolean isSecure,
                                               boolean httpOnly,
                                               ServerCookie.SameSiteAttributeValue sameSite)

    - #### maybeQuote

          @Deprecated
          public static void maybeQuote(int version,
                                                    StringBuffer buf,
                                                    String value)

      Deprecated. - Not used

    - #### alreadyQuoted

          public static boolean alreadyQuoted(String value)

    - #### maybeQuote2

          public static void maybeQuote2(int version,
                                         StringBuffer buf,
                                         String value)

      Quotes values using rules that vary depending on Cookie version.
      Parameters:
        `version` -
        `buf` -
        `value` -

Copyright © 2021 JBoss by Red Hat. All rights reserved.